function flag = issolved(m)
%
% ISSOLVED  True if model solution has been computed.
% 
% Syntax:
%   flag = issolved(m)
% Arguments:
%   flag logical; m model
%
% The IRIS Toolbox 2007/02/09. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

flag = ~(isempty(m.solution) || isempty(m.solution{1}));

end % of primary function -----------------------------------------------------------------------------------