function m = reorder_(m)

[reordName,reordEqtn] = deal(cell([1,2]));
[reordName{2},reordEqtn{2}] = reorder1S(any(m.occur(m.ixeqtn{2},m.ixname{2},:),3));
if m.nname(1) > 0
  [reordName{1},reordEqtn{1}] = reorder1S(any(m.occur(m.ixeqtn{1},m.ixname{1},:),3));
else
  [reordName{1},reordEqtn{1}] = deal(zeros([1,0]));
end

ixName = [reordName{1},m.nname(1)+reordName{2}];
ixEqtn = [reordEqtn{1},m.neqtn(1)+reordEqtn{2}];
n = length(ixName);

m.nameorder = ixName;
m.eqtnorder = ixEqtn;

%{
m.assign(:,1:n) = m.assign(:,ixName);
m.name(1:n) = m.name(ixName);
m.namelabel(1:n) = m.namelabel(ixName);
m.log(1:n) = m.log(ixName);

m.eqtn(1:n) = m.eqtn(ixEqtn);
m.eqtnlabel(1:n) = m.eqtnlabel(ixEqtn);
if m.linear == false
  m.eqtnS(1:n) = m.eqtnS(ixEqtn);
end
m.eqtnF(1:n) = m.eqtnF(ixEqtn);

m.occur(1:n,1:n,:) = m.occur(ixEqtn,ixName,:);

[aux,m.ireordName{2}] = sort(reordName{2});
[aux,m.ireordEqtn{2}] = sort(reordEqtn{2});
if m.nname(1) > 0
  [aux,m.ireordName{1}] = sort(reordName{1});
  [aux,m.ireordEqtn{1}] = sort(reordEqtn{1});
else
  m.ireordName{1} = zeros([1,0]);
  m.ireordEqtn{1} = zeros([1,0]);
end
%}

  % -----subfunction----- %
  
  function [reordName,reordEqtn] = reorder1S(occur)

  [nEqtn,nName] = size(occur);
  
  [aux,reordEqtn] = sort(vech(-sum(occur,2)));
  [aux,reordName] = sort(sum(occur,1));
  
  reordName0 = zeros(size(reordName));
  reordEqtn0 = zeros(size(reordEqtn));
  
  count = 0;
  
  while (any(reordName ~= reordName0) || any(reordEqtn ~= reordEqtn0)) && count < 500
    reordName0 = reordName;
    reordEqtn0 = reordEqtn;
    tmp = occur(reordEqtn,reordName);
    tmpReord = 1 : nName;
    for iEqtn = nEqtn : -1 : 1
      aux = find(tmp(iEqtn,:));
      tmp(:,aux) = true;
      aux = [find(~tmp(iEqtn,:)),aux];
      tmpReord(:) = tmpReord(aux);
      tmp = tmp(:,aux);
    end
    reordName(:) = reordName(tmpReord);
    tmp = occur(reordEqtn,reordName);
    tmpReord = 1 : nEqtn;
    for iName = 1 : nName
      aux = transpose(find(tmp(:,iName)));
      tmp(aux,:) = true;
      aux = [aux,transpose(find(~tmp(:,iName)))];
      tmpReord(:) = tmpReord(aux);
      tmp = tmp(aux,:);
    end
    reordEqtn(:) = reordEqtn(tmpReord);
    count = count + 1;
  end
  
  return