function p = plan(m,range)
%
% PLAN  Create new simulation plan.
% 
% Syntax:
%   p = plan(m,range)
% Arguments:
%   p plan; m model; range numeric
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

p = class(empty_(),'plan');
p.meta = meta(m);
if nargin > 1, p.range = range(1):range(end); end
  
end % of primary function -----------------------------------------------------------------------------------

  function p = empty_() % subfunction -----------------------------------------------------------------------
  
  p.meta = struct();
  p.range = NaN;
  p.exogenized = struct();
  p.endogenized = struct();
  
  end % of subfunction --------------------------------------------------------------------------------------