function [handle,range] = area(varargin)
%
% Area  Filled area plot function for time series.
%
% Syntax:
%   [h,rng] = area(u,...)
%   [h,rng] = area(rng,u,...)
% Arguments:
%   h numeric; rng numeric; u tseries
% Options:
%   'dateformat' char (irisconfig.plotdateformat)
%   'datetick' numeric (Inf)
%   'function' function_handle (empty)
%   any Matlab PLOT options
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

[handle,range] = graph_(@area,0,varargin{:});

end % of primary function -----------------------------------------------------------------------------------