function [handle,range] = bar(varargin)
%
% BAR  Bar plot function for time series.
%
% Syntax:
%   [h,rng] = bar(u,...)
%   [h,rng] = bar(rng,u,...)
% Arguments:
%   h numeric; rng numeric; u tseries
% Options:
%   'dateformat' char (irisconfig.plotdateformat)
%   'datetick' numeric (Inf)
%   'function' function_handle (empty)
%   any Matlab BAR options
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

[handle,range] = graph_(@bar,0.9,varargin{:});

end % of primary function -----------------------------------------------------------------------------------