%
% Tseries functions
% The IRIS Toolbox 2007/01/29
%
% ACF                  Sample autocovariance and autocorrelation function.
% AREA                 Filled area plot function for time series.
% ARF                  Scalar autoregressive filter.
% BAR                  Bar plot function for time series.
% BPASS                Christiano-Fitzgerald band-pass filter.
% CAT                  Splice time series in n-th dimension.
% COMMENT              Set or get time series comment.
% CUTSMALL             Round off numbers with small deviations from base number.
% DF                   First difference.
% DOUBLE               Convert time series to numeric array.
% FILL                 Fill time series.
% GET                  Get time series attributes.
% HORZCAT              Horizontal concatenation of time series.
% HPF                  Hodrick-Prescott filter with hard-tune options.
% LEN                  Length of time series.
% LLF                  Local level filter (random walk plus noise) with hard-tune options.
% MM2QQ                Monthly to quarterly time series conversion.
% MM2YY                Monthly to annual time series conversion.
% MM2ZZ                Monthly to semi-annual time series conversion.
% MOVING               Apply function to moving window.
% NORMALISE            Normalise data to particular date.
% PCT                  Percent rate of growth.
% PLOT                 Line plot function for time series.
% PLOTYY               Line plot function with LHS and RHS axes for time series.
% PRECISION            Convert time series data to single or double precision.
% QQ2YY                Quarterly to annual times series conversion.
% QQ2ZZ                Quarterly to semi-annual time series conversion.
% RESHAPE              Change size of each element of time series.
% RESIZE               Change time series range.
% SEASF                Structural additive seasonal filter for quarterly series.
% SET                  Set time series attributes.
% TSERIES              Create new time series object.
% VERTCAT              Vertical concatenation of time series.
% X12                  Census X12-ARIMA procedure for trend-cycle plus seasonal plus irregular decomposition.
% ZZ2YY                Semi-annual to annual time series conversion.
