function x = dat2char(dat,varargin)
%
% DAT2CHAR  Date to char conversion.
%
% Syntax:
%   c = dat2char(dat,...)
% Arguments:
%   c: char; dat: numeric
% Options:
%   'dateformat' char (irisconfig.dateformat)
%   'freqletters' char (irisconfig.freqletters)
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

datstr = dat2str(dat,varargin{1:end});
x = strjust(char(datstr));

end % of primary function -----------------------------------------------------------------------------------