function dat = zz(varargin)
%
% ZZ  Semiannual dates in IRIS internal format.
%
% Syntax:
%   dat = zz(year)
%   dat = zz(year,period)
% Arguments:
%   dat numeric; year numeric; period numeric
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

year = varargin{1};
if nargin == 1, per = ones(size(year));
  else, per = varargin{2}; end

dat = datcode(year,per,2);

end % of primary function -----------------------------------------------------------------------------------