function x = db2tseries(d,list)
%
% DB2TSERIES  Retrieve time series array from database.
%
% Syntax:
%   x = db2tseries(d,list)
% Arguments:
%   x tseries; d struct; list cellstr
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

x = tseries([],[]);
for i = 1 : length(list)
  x = [x,d.(list{i})];
end

end % of primary function -----------------------------------------------------------------------------------