function x = trend(x)

if any(any(isnan(x)))
  for i = 1 : size(x,2)
    sample = getsample(transpose(x(:,i)));
    nper = sum(sample);
    M = [ones([nper,1]),transpose(1:nper)];
    x(sample,i) = M*(M\x(sample,i));
  end
else
  nper = size(x,1);
  M = [ones([nper,1]),transpose(1:nper)];
  x = M*(M\x);
end

end