function flag = char2file(char,fname)
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

flag = true;
fid = fopen(fname,'w+');
if fid == -1
  error('Unable to open ''%s'' for writing.',fname);
end

count = fwrite(fid,char,'char');

if count ~= length(char)
  warning('Unable to write to ''%s''.',fname);
  flag = false;
end

if fclose(fid) == -1
  warning('Unable to close ''%s'' after writing.',fname);
  flag = false;
end

end