function h = greyarea(varargin)
%
% GREYAREA  Fill grey area between start-date and end-date in current graph.
%
% Syntax:
%   h = greyarea(hax,range,...)
% Arguments:
%   h numeric; hax numeric; range numeric
% Options:
%   'grade' numeric (0.8)
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

h = grayarea(varargin{:});

end % of primary function -----------------------------------------------------------------------------------