function flag = rngcmp(varargin)
%
% UTILS/RNGCMP  Compare date vectors.
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

flag = true;
for i = 2 : nargin
  if length(varargin{i-1}) ~= length(varargin{i}) || any(abs(varargin{i-1} ~= varargin{i}) > 1e-3)
    flag = false;
    return
  end
end

end % of primary function -----------------------------------------------------------------------------------