function irisremove()
%
% IRISREMOVE  Remove all IRIS folders from the Matlab search path.
%
% Syntax:
%   list = irisremove()  
% Arguments:
%   list cellstr
% 
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

p = path();
rm = regexp(p,'(?<=^|;)([^;]*iris[^;]*);','match');
if ~isempty(rm), rmpath(rm{:}); end

end % of primary function -----------------------------------------------------------------------------------