function index = eqselect_(m,ialt)
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

realsmall = getrealsmall();
assign = m.assign(1,:,ialt);

nochange = all(ref(abs(m.assign0 - assign),m.nametype <= 2) <= realsmall); % no change in steady state
isderiv = any(m.deriv0.c ~= 0) || any(any(m.deriv0.f(1:sum(m.eqtntype <= 2),:))); % derivatives computed before
select = (m.linear == true && isderiv) || nochange == true;

if select == true
  % changed parameters
  tmp = m.nametype == 4 & assign ~= m.assign0 & (~isnan(assign) | ~isnan(m.assign0));
  % affected equations
  index = vech(any(m.occur(:,tmp,m.tzero),2));
else  
  index = true(size(m.eqtn));
end

end % of primary function -----------------------------------------------------------------------------------