function [ixname,ixeqtn,nname,neqtn,sname,seqtn] = index_(model)

ixname = cell([1,4]);
for i = 1 : 4
  ixname{i} = find(model.nametype == i);
end

if nargout > 1
  ixeqtn = cell([1,2]);
  for i = 1 : 2
    ixeqtn{i} = find(model.eqtntype == i);
  end
end

if nargout > 2
  try
    nname = cellfun(@length,ixname);
    neqtn = cellfun(@length,ixeqtn);
  catch
    nname = cellfun('length',ixname);
    neqtn = cellfun('length',ixeqtn);
  end
  sname = cumsum(nname);
  seqtn = cumsum(neqtn);
end

end