function a = pct(x,varargin)
%
% PCT  Percent rate of growth.
%
% Syntax:
%   x = pct(x)
%   x = pct(x,shift)
% Arguments:
%   x tseries; shift numeric
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

if nargin > 1 && ~isnumeric(varargin{1}), error('Incorrect type of input argument(s).'); end

% function body ---------------------------------------------------------------------------------------------

a = unop_(@pct,x,0,varargin{1:end});

end % of primary function -----------------------------------------------------------------------------------