function [handle,range] = plot(varargin)
%
% PLOT  Line plot function for time series.
%
% Syntax:
%   [h,rng] = plot(u,...)
%   [h,rng] = plot(rng,u,...)
% Arguments:
%   h numeric; rng numeric; u tseries
% Options:
%   'dateformat' char (irisconfig.plotdateformat)
%   'datetick' numeric|Inf (Inf)
%   'function' function_handle (empty)
% and any Matlab plot option
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

[handle,range] = graph_(@plot,0,varargin{:});

end % of primary function -----------------------------------------------------------------------------------