function dbevalf(d,fname,varargin)
%
% DBEVALF  Evaluate and replace expressions within text file.
%
% Syntax:
%   dbevalf(d,fname,...)
% Arguments
%   d dbase|struct; fname char
% Options:
%   'format' char ('%g')
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

default = {...
  'format','%g',...
};
options = passopt(default,varargin{:});

% function body ---------------------------------------------------------------------------------------------

s = file2char(fname);
s = dbevals(d,s,varargin{:});
char2file(s,fname);

end % of primary function -----------------------------------------------------------------------------------