function d = dpcat(d,varargin)
%
% DPCAT  Splice datapacks in 3rd dimension.
% 
% Syntax:
%   out = dpcat(<dpack>)
% Arguments:
%   out cell; dpack cell
%
% The IRIS Toolbox 2006/09/29. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

for i = 1 : length(varargin)
  for j = 1 : 3; d{j} = cat(3,d{j},varargin{i}{j}); end
end
if length(varargin) > 0
  d{4} = varargin{end}{4};
  if length(varargin{end}) > 4
    d{5} = varargin{end}{5};
  end
end

end % of primary function -----------------------------------------------------------------------------------