function y = dot(x,s)
%
% DOT  Gross rate of change.
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

if nargin < 2, s = -1; end

% function body ---------------------------------------------------------------------------------------------

s = vech(s);
y = repmat(x,[1,length(s)]) ./ shift(x,s);

end % of primary function -----------------------------------------------------------------------------------