function y = shift(x,s)
%
% SHIFT  Lags or lead of vectors.
%
% y = shift(x,s)
% Arguments:
%   y numeric, x numeric, s numeri
%
% The IRIS Toolbox 2007/02/03. Copyright 2007 Jaromir Benes.

% function body ---------------------------------------------------------------------------------------------

s = vech(s);
[x,dim,nper] = reshape_(x);
nx = prod(dim);
y = [];
for k = vech(s)
  if k > 0, tmp = [x(1+k:end,:);NaN*ones([k,prod(dim)])];
    else, tmp = [NaN*ones([-k,nx]);x(1:end+k,:)]; end
  y = [y,reshape_(tmp,dim)];
end

end % of primary function -----------------------------------------------------------------------------------